## org.apache.batik.ext.awt.geom
Class PathLength.SingleSegmentPathIterator

    java.lang.Object
      org.apache.batik.ext.awt.geom.PathLength.SingleSegmentPathIterator

All Implemented Interfaces:
  java.awt.geom.PathIterator

Enclosing class:
  PathLength

    protected static class PathLength.SingleSegmentPathIterator

extends java.lang.Object
implements java.awt.geom.PathIterator

A `PathIterator` that returns only the next path segment from another `PathIterator`.

Field Summary
`protected boolean` `done` Whether the single segment has been passed.
`protected java.awt.geom.PathIterator` `it` The path iterator being wrapped.
`protected boolean` `moveDone` Whether the generated move command has been returned.
`protected double` `x` The x coordinate of the next move command.
`protected double` `y` The y coordinate of the next move command.

Fields inherited from interface java.awt.geom.PathIterator
`SEG_CLOSE, SEG_CUBICTO, SEG_LINETO, SEG_MOVETO, SEG_QUADTO, WIND_EVEN_ODD, WIND_NON_ZERO`

Constructor Summary
`protected` `PathLength.SingleSegmentPathIterator()`

Method Summary
`int` `currentSegment(double[] coords)`
`int` `currentSegment(float[] coords)`
`int` `getWindingRule()`
`boolean` `isDone()`
`void` `next()`
`void` `setPathIterator(java.awt.geom.PathIterator it, double x, double y)` Sets the path iterator to use and the initial SEG_MOVETO command to return before it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### it

    protected java.awt.geom.PathIterator it

  The path iterator being wrapped.

### done

    protected boolean done

  Whether the single segment has been passed.

### moveDone

    protected boolean moveDone

  Whether the generated move command has been returned.

### x

    protected double x

  The x coordinate of the next move command.

### y

    protected double y

  The y coordinate of the next move command.

Constructor Detail

### PathLength.SingleSegmentPathIterator

    protected PathLength.SingleSegmentPathIterator()

Method Detail

### setPathIterator

    public void setPathIterator(java.awt.geom.PathIterator it,
                                double x,
                                double y)

  Sets the path iterator to use and the initial SEG_MOVETO command to return before it.

### currentSegment

    public int currentSegment(double[] coords)

  Specified by:
    `currentSegment` in interface `java.awt.geom.PathIterator`

### currentSegment

    public int currentSegment(float[] coords)

  Specified by:
    `currentSegment` in interface `java.awt.geom.PathIterator`

### getWindingRule

    public int getWindingRule()

  Specified by:
    `getWindingRule` in interface `java.awt.geom.PathIterator`

### isDone

    public boolean isDone()

  Specified by:
    `isDone` in interface `java.awt.geom.PathIterator`

### next

    public void next()

  Specified by:
    `next` in interface `java.awt.geom.PathIterator`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.